# NEAR AI: Building a Truly Open AI

Welcome! [NEAR AI](https://near.ai) is a toolkit to help build, measure, and deploy AI systems focused on [agents](./agents/quickstart.md).

Driven by one of the minds behinds **TensorFlow** and the **Transformer Architecture**, NEAR AI puts you back in control. Your data stays yours, and your AI works for you, with no compromises on privacy or ownership.

---

<div class="grid cards" markdown>

-   :material-robot-happy: __NEAR AI Agents__

    ---

    Autonomous system that can interact with you and use
    tools to solve tasks

    <span style="display: flex; justify-content: space-between;">
    [:material-clock-fast: Quickstart](./agents/quickstart.md)
    [:material-file-chart: Registry](./agents/registry.md)
    [:material-tools: Tools](./agents/env/tools.md)
    </span>

-   :material-tooltip-text: __AI Models__

    ---

    Best in class AI models that you can use and fine-tune to solve
    your tasks

    <span style="display: flex; justify-content: space-between;">
    [:material-chart-areaspline: Benchmarks](./models/benchmarks_and_evaluations.md)
    [:material-tune: Fine-Tuning](./models/fine_tuning.md)
    </span>


-   :material-web: __Developer Hub__ :octicons-link-external-16:

    ---

    NEAR AI developer hub where you can discover and deploy agents, datasets, and models with ease. 

    <span style="display: flex; justify-content: space-between;">
    [:material-robot-happy: Agents](https://app.near.ai/agents)
    [:material-cogs: Models](https://app.near.ai/models)
    [:material-database: Datasets](https://app.near.ai/agents)
    </span>

-   :material-lightbulb-group: __Community__ :octicons-link-external-16:

    ---

    Join our community! Get help and contribute to the future of AI

    [:simple-telegram: Community](https://t.me/nearaialpha)

</div>

---

!!! warning "Alpha"

    NEAR AI is currently in `alpha` - we're building something special and shipping new features every day! Want to help shape the future of AI? Join our community and contribute! 🚀

    - 🐛 [Report bugs and suggest features](https://github.com/nearai/nearai/issues)
    - 💻 [Submit pull requests](https://github.com/nearai/nearai/pulls)
    - 📖 [Improve documentation](contributing.md/#contribute-documentation)
    - 🤝 [Help other users in the community](https://t.me/nearaialpha)
    - 🌟 [Star our repository](https://github.com/nearai/nearai)

    Check out our [contributing guide](contributing.md) to get started.

